//////////////////////////
// near memory routines //
//////////////////////////

#ifndef __NEAR_H
#define __NEAR_H

#include "misc.h"







// prototypes
inline void* AdjustNearPointer(void *pointer);








#if defined(__DJGPP__)

// djgpp implementation
#include <sys/nearptr.h>
#include <crt0.h>
extern int _crt0_startup_flags;

inline void* AdjustNearPointer(void *pointer)
{
    return (void*)((uint)pointer+__djgpp_conventional_base);
}



#else

// skeletal implementation
inline void* AdjustNearPointer(void *pointer)
{
    // no change
    return pointer;
}

#endif










#endif